Modify

Opened 7 days ago

Closed 7 days ago

#17907 closed defect (fixed)

NumberFormatException while parsing "Mon, 08 Jul 2019 20:40:47 GMT" (it seems)

Reported by: naoliv Owned by: Don-vip
Priority: normal Milestone:
Component: Plugin http2 Version:
Keywords: template_report date Cc:

Description

While using this layer https://josm.openstreetmap.de/wiki/Maps/Brazil#BrazilianArmyTopographicMaps I got this:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-07-09 01:01:06 +0200 (Tue, 09 Jul 2019)
Revision:15237
Build-Date:2019-07-08 23:02:00
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15237 pt_BR) Linux Debian GNU/Linux 10 (buster)
Memory Usage: 482 MB / 2048 MB (160 MB allocated, but free)
Java version: 11.0.4-ea+10-post-Debian-1, Debian, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java package: openjdk-11-jre:amd64-11.0.4+10-1
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-22
libcommons-compress-java: libcommons-compress-java:all-1.18-2
libcommons-logging-java: libcommons-logging-java:all-1.2-2
VM arguments: [-Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2, -Dawt.useSystemAAFontSettings=gasp]
Dataset consistency test: No problems found

Plugins:
+ EasyPresets (1537621333)
+ OpeningHoursEditor (34977)
+ SimplifyArea (34977)
+ apache-commons (34908)
+ buildings_tools (34982)
+ ejml (35049)
+ geojson (124)
+ geotools (34908)
+ http2 (35060)
+ jaxb (35014)
+ jogl (1.2.3)
+ jts (34908)
+ log4j (34908)
+ measurement (35051)
+ opendata (34997)
+ reverter (34999)
+ tageditor (34977)
+ tagging-preset-tester (34908)
+ todo (30306)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (34977)
+ wikipedia (v1.1.1)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Golf_Course&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Healthcare&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Industrial&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ /tmp/saida.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface-DataEntry&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features_ryg&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Highway_Nodes&zip=1
- /tmp/newnodes.mapcss
- https://github.com/OSMBrasil/mapnik-brasil/archive/master.zip 
+ https://raw.githubusercontent.com/<user.name>/osm-gambi/master/fixme.mapcss
- /tmp/a.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1
- <josm.pref>/styles/sit.mapcss

Validator rules:
+ ${HOME}/git/validador-josm/Rules_Brazilian-Specific.validator.mapcss
+ ${HOME}/git/validador-josm/staging.validator.mapcss
- /tmp/caray.validator.mapcss
+ ${HOME}/git/validador-josm/nome-ruas-numeros.validator.mapcss
+ ${HOME}/git/osm-gambi/local.validator.mapcss

Last errors/warnings:
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 21:39:44 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 20:39:29 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 19:54:52 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 19:54:52 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 19:53:10 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 21:31:22 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 19:54:57 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 19:53:06 GMT"
- E: Handled by bug report queue: java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 19:54:48 GMT"
- W: Aviso - <html>JOSM não conseguiu encontrar informações sobre os seguintes plugins:<ul><li>apache-commons</li><li>geotools</li><li>tageditor</li><li>opendata</li><li>tagging-preset-tester</li><li>SimplifyArea</li><li>measurement</li><li>jaxb</li><li>turnlanes-tagging</li><li>utilsplugin2</li><li>EasyPresets</li><li>http2</li><li>jogl</li><li>turnrestrictions</li><li>wikipedia</li><li>log4j</li><li>jts</li><li>ejml</li><li>reverter</li><li>geojson</li><li>todo</li><li>OpeningHoursEditor</li><li>undelete</li><li>buildings_tools</li></ul>Os plugins não vão ser carregados.</html>


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: WMS-downloader-1 (3109)
java.lang.NumberFormatException: For input string: "Mon, 08 Jul 2019 20:40:47 GMT"
	at java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.base/java.lang.Long.parseLong(Long.java:692)
	at java.base/java.lang.Long.valueOf(Long.java:1144)
	at java.base/java.util.stream.ReferencePipeline$5$1.accept(ReferencePipeline.java:229)
	at java.base/java.util.AbstractList$RandomAccessSpliterator.tryAdvance(AbstractList.java:706)
	at java.base/java.util.stream.ReferencePipeline.forEachWithCancel(ReferencePipeline.java:127)
	at java.base/java.util.stream.AbstractPipeline.copyIntoWithCancel(AbstractPipeline.java:502)
	at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:488)
	at java.base/java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:474)
	at java.base/java.util.stream.FindOps$FindOp.evaluateSequential(FindOps.java:150)
	at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234)
	at java.base/java.util.stream.LongPipeline.findFirst(LongPipeline.java:511)
	at java.net.http/java.net.http.HttpHeaders.firstValueAsLong(HttpHeaders.java:97)
	at org.openstreetmap.josm.plugins.http2.Http2Client$Http2Response.getLastModified(Http2Client.java:181)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.loadObject(JCSCachedTileLoaderJob.java:335)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.run(JCSCachedTileLoaderJob.java:231)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
	at java.base/java.lang.Thread.run(Thread.java:834)

Attachments (0)

Change History (2)

comment:1 Changed 7 days ago by Don-vip

Keywords: date added
Status: newassigned

comment:2 Changed 7 days ago by Don-vip

Resolution: fixed
Status: assignedclosed

Fixed in [o35062:35063].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.